
use pubs
go

-- uses a scan on all rows in the table
-- does not use the clustered index
select count(*) from authors
go

Text showplan
  set showplan_text on
   -- plan text only
  set showplan_all on
   -- plan text, estimated row counts, stats 
  set statistics profile on
   -- plan text, estimated row counts, stats, actual row counts
   -- executes query

XML showplan
  set showplan_xml on
   -- plan text, estimated row counts, stats 
  set statistics xml on
   -- plan text, estimated row counts, stats, actual row counts
   -- executes query

create table t1 (
 a int
)
go

create table t2 (
 a int
)
go

insert into t1 values(1)
insert into t2 values(1)
go

select a from t1
union all
select a from t2
go