
:CONNECT localhost

USE MASTER
GO

DROP DATABASE TestDB
GO

-- you must drop endpoint
-- before dropping the cert that secures it
IF EXISTS (
	SELECT name from sys.service_broker_endpoints WHERE name = N'BrokerEndpoint'
)
	DROP ENDPOINT BrokerEndpoint
GO

IF EXISTS(
  SELECT * FROM sys.certificates 
   WHERE name = N'BrokerEndpointCert'
)
DROP CERTIFICATE BrokerEndpointCert
GO

-- Drop the proxies

IF EXISTS(
  SELECT * FROM sys.certificates 
   WHERE name = N'BrokerEPCert_SQL1'
)
DROP CERTIFICATE BrokerEPCert_SQL1
GO

IF  EXISTS (SELECT * FROM sys.database_principals WHERE name = N'BrokerEPUser_SQL1')
DROP USER [BrokerEPUser_SQL1]
GO

IF  EXISTS (SELECT * FROM sys.server_principals WHERE name = N'BrokerEPLogin_SQL1')
DROP LOGIN [BrokerEPLogin_SQL1]
GO

PRINT 'Don''t forget to delete the contents of c:\certs'
GO