
:CONNECT localhost\SQL1

USE MASTER
GO

DROP DATABASE TestDB
GO

-- you must drop endpoint
-- before dropping the cert that secures it
IF EXISTS (
	SELECT name from sys.service_broker_endpoints WHERE name = N'BrokerEndpoint_SQL1'
)
	DROP ENDPOINT BrokerEndpoint_SQL1
GO

IF EXISTS(
  SELECT * FROM sys.certificates 
   WHERE name = N'BrokerEndpointCert_SQL1'
)
DROP CERTIFICATE BrokerEndpointCert_SQL1
GO

-- Drop the proxies

IF EXISTS(
  SELECT * FROM sys.certificates 
   WHERE name = N'BrokerEPCert'
)
DROP CERTIFICATE BrokerEPCert
GO

IF  EXISTS (SELECT * FROM sys.database_principals WHERE name = N'BrokerEPUser')
DROP USER [BrokerEPUser]
GO

IF  EXISTS (SELECT * FROM sys.server_principals WHERE name = N'BrokerEPLogin')
DROP LOGIN [BrokerEPLogin]
GO

PRINT 'Don''t forget to delete the contents of c:\certs'
GO